import React, {
  useState,
  useCallback,
  useEffect,
} from 'react';
import ReactDOM from 'react-dom';
import { csv } from 'd3';
// import { message } from './message';

const csvUrl =
  'https://gist.githubusercontent.com/elifaltundag/33626f0e254068fade97ad8f1f5e3e7b/raw/cssColorNames.csv';

const App = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    csv(csvUrl).then(setData);
  }, []);

  if (!data) {
    return <pre>'Loading...'</pre>;
  }

  return data.map(color => (
  	<div
      style={{
      	backgroundColor: color["Hex Code"],
        width: window.innerWidth,
        height: "4px"
      }}
      >
    </div>
  ));
};

const rootElement = document.getElementById(
  'root'
);
ReactDOM.render(<App />, rootElement);
